Bug 1118075 - nouveau 3.15.3 lockdep issues
Summary: nouveau 3.15.3 lockdep issues
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 00:25 UTC by Bruno Roberto Zanuzzo
Modified: 2015-06-29 21:32 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:32:37 UTC


Attachments (Terms of Use)
ABRT_logs_and_messages.log (313.25 KB, application/zip)
2014-07-10 00:25 UTC, Bruno Roberto Zanuzzo
no flags Details

Description Bruno Roberto Zanuzzo 2014-07-10 00:25:57 UTC
Created attachment 916965 [details]
ABRT_logs_and_messages.log

Description of problem:
Each time you boot Fedora a "kernel crashed / kerneloops" occurs. I even tried to report this error by direct ABRT, but can not because it says that there is corrupted data. So I tried to gather as much information as possible, are attached.

Version-Release number of selected component (if applicable):
kernel 3.15.3-200.fc20.x86_64+debug #1 SMP Tue Jul 1 16:05:25 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Boot the operating system

Steps to Reproduce:
1. Boot Fedora 20 with 3.15.3-200.fc20.x86_64+debug;
2. Login to the system;
3. At the end of the process the Login ABRT alert displays the crash.

Actual results:
Each time you boot the system, the ABRT warns of this problem;

Expected results:
Identify and fix the problem so that no ABRT no longer displays this alert.

Additional info:
Attached is the logs generated by ABRT additionally put the boot.log and messages.log because there is also another problem. Do not know if this problem is related to, but also one of the times this problem occurred: https://bugzilla.redhat.com/show_bug.cgi?id=1098739

Comment 1 Josh Boyer 2014-07-14 12:59:02 UTC
ABRT is triggering off of the odebug line, but that doesn't mean anything.  By itself, it doesn't indicate a kernel problem.  However, looking through your messages log it seems nouveau is having issues:

kernel: [  190.332294] 
kernel: [  190.332299] ======================================================
kernel: [  190.332300] [ INFO: possible circular locking dependency detected ]
kernel: [  190.332303] 3.15.3-200.fc20.x86_64+debug #1 Not tainted
kernel: [  190.332304] -------------------------------------------------------
kernel: [  190.332306] X/2659 is trying to acquire lock:
kernel: [  190.332308]  (&(&priv->lock)->rlock#2){-.....}, at: [<ffffffffa023d1c8>] nouveau_therm_update+0x48/0x310 [nouveau]
kernel: [  190.332336] 
kernel: [  190.332336] but task is already holding lock:
kernel: [  190.332338]  (&(&priv->sensor.alarm_program_lock)->rlock){-.....}, at: [<ffffffffa023ec94>] alarm_timer_callback+0x54/0xe0 [nouveau]
kernel: [  190.332358] 
kernel: [  190.332358] which lock already depends on the new lock.
kernel: [  190.332358] 
kernel: [  190.332360] 
kernel: [  190.332360] the existing dependency chain (in reverse order) is:
kernel: [  190.332362] 
kernel: [  190.332362] -> #1 (&(&priv->sensor.alarm_program_lock)->rlock){-.....}:
kernel: [  190.332367]        [<ffffffff810fcdd9>] lock_acquire+0x99/0x1d0
kernel: [  190.332372]        [<ffffffff817e3e86>] _raw_spin_lock_irqsave+0x56/0x90
kernel: [  190.332376]        [<ffffffffa023ec94>] alarm_timer_callback+0x54/0xe0 [nouveau]
kernel: [  190.332391]        [<ffffffffa0240da3>] nv04_timer_alarm_trigger+0x133/0x190 [nouveau]
kernel: [  190.332408]        [<ffffffffa0240e60>] nv04_timer_alarm+0x60/0xb0 [nouveau]
kernel: [  190.332423]        [<ffffffffa023d3ed>] nouveau_therm_update+0x26d/0x310 [nouveau]
kernel: [  190.332440]        [<ffffffffa023d4aa>] nouveau_therm_alarm+0x1a/0x20 [nouveau]
kernel: [  190.332454]        [<ffffffffa0240da3>] nv04_timer_alarm_trigger+0x133/0x190 [nouveau]
kernel: [  190.332469]        [<ffffffffa0240f1b>] nv04_timer_intr+0x6b/0x90 [nouveau]
kernel: [  190.332484]        [<ffffffffa023a801>] nouveau_mc_intr+0x141/0x1a0 [nouveau]
kernel: [  190.332499]        [<ffffffff8110f9ce>] handle_irq_event_percpu+0x3e/0x340
kernel: [  190.332502]        [<ffffffff8110fd0d>] handle_irq_event+0x3d/0x60
kernel: [  190.332505]        [<ffffffff81112b87>] handle_edge_irq+0x77/0x130
kernel: [  190.332508]        [<ffffffff8101cd0f>] handle_irq+0xbf/0x150
kernel: [  190.332512]        [<ffffffff817f04cf>] do_IRQ+0x4f/0xf0
kernel: [  190.332515]        [<ffffffff817e4372>] ret_from_intr+0x0/0x1a
kernel: [  190.332518]        [<ffffffff8162e497>] cpuidle_enter+0x17/0x20
kernel: [  190.332522]        [<ffffffff810eeefe>] cpu_startup_entry+0x3ee/0x770
kernel: [  190.332526]        [<ffffffff817c909a>] rest_init+0x13a/0x140
kernel: [  190.332529]        [<ffffffff81f1c006>] start_kernel+0x48d/0x4ae
kernel: [  190.332533]        [<ffffffff81f1b5ee>] x86_64_start_reservations+0x2a/0x2c
kernel: [  190.332536]        [<ffffffff81f1b73d>] x86_64_start_kernel+0x14d/0x170
kernel: [  190.332539] 
kernel: [  190.332539] -> #0 (&(&priv->lock)->rlock#2){-.....}:
kernel: [  190.332543]        [<ffffffff810fc4ef>] __lock_acquire+0x1b7f/0x1c90
kernel: [  190.332547]        [<ffffffff810fcdd9>] lock_acquire+0x99/0x1d0
kernel: [  190.332550]        [<ffffffff817e3e86>] _raw_spin_lock_irqsave+0x56/0x90
kernel: [  190.332552]        [<ffffffffa023d1c8>] nouveau_therm_update+0x48/0x310 [nouveau]
kernel: [  190.332567]        [<ffffffffa023d4aa>] nouveau_therm_alarm+0x1a/0x20 [nouveau]
kernel: [  190.332581]        [<ffffffffa0240da3>] nv04_timer_alarm_trigger+0x133/0x190 [nouveau]
kernel: [  190.332595]        [<ffffffffa0240e60>] nv04_timer_alarm+0x60/0xb0 [nouveau]
kernel: [  190.332610]        [<ffffffffa023ed1d>] alarm_timer_callback+0xdd/0xe0 [nouveau]
kernel: [  190.332624]        [<ffffffffa023ed9d>] nouveau_therm_program_alarms_polling+0x7d/0x90 [nouveau]
kernel: [  190.332639]        [<ffffffffa023edc2>] nouveau_therm_sensor_init+0x12/0x20 [nouveau]
kernel: [  190.332653]        [<ffffffffa023d762>] _nouveau_therm_init+0x52/0x60 [nouveau]
kernel: [  190.332668]        [<ffffffffa02400fb>] nva3_therm_init+0x1b/0x140 [nouveau]
kernel: [  190.332682]        [<ffffffffa01ff190>] nouveau_object_inc+0xb0/0x180 [nouveau]
kernel: [  190.332695]        [<ffffffffa02479e5>] nouveau_device_init+0x25/0xa0 [nouveau]
kernel: [  190.332710]        [<ffffffffa01ff190>] nouveau_object_inc+0xb0/0x180 [nouveau]
kernel: [  190.332723]        [<ffffffffa01ff16a>] nouveau_object_inc+0x8a/0x180 [nouveau]
kernel: [  190.332733]        [<ffffffffa01fd9ea>] nouveau_handle_init+0x6a/0x1f0 [nouveau]
kernel: [  190.332746]        [<ffffffffa01fda79>] nouveau_handle_init+0xf9/0x1f0 [nouveau]
kernel: [  190.332758]        [<ffffffffa01fc17e>] nouveau_client_init+0x2e/0x60 [nouveau]
kernel: [  190.332767]        [<ffffffffa0283615>] nouveau_do_resume+0x45/0x160 [nouveau]
kernel: [  190.332790]        [<ffffffffa0284c91>] nouveau_pmops_runtime_resume+0x81/0xf0 [nouveau]
kernel: [  190.332812]        [<ffffffff8140d80b>] pci_pm_runtime_resume+0x7b/0xc0
kernel: [  190.332816]        [<ffffffff81502e12>] __rpm_callback+0x32/0x70
kernel: [  190.332820]        [<ffffffff81502e74>] rpm_callback+0x24/0x80
kernel: [  190.332822]        [<ffffffff815037d1>] rpm_resume+0x551/0x7a0
kernel: [  190.332825]        [<ffffffff81504cff>] __pm_runtime_resume+0x4f/0x90
kernel: [  190.332828]        [<ffffffffa0283bcb>] nouveau_drm_open+0x3b/0x1c0 [nouveau]
kernel: [  190.332849]        [<ffffffffa0067642>] drm_open+0x1c2/0x4f0 [drm]
kernel: [  190.332859]        [<ffffffffa0067a17>] drm_stub_open+0xa7/0x100 [drm]
kernel: [  190.332867]        [<ffffffff81238e5e>] chrdev_open+0xae/0x1d0
kernel: [  190.332870]        [<ffffffff81231597>] do_dentry_open+0x217/0x2f0
kernel: [  190.332874]        [<ffffffff81231780>] finish_open+0x40/0x50
kernel: [  190.332877]        [<ffffffff81244fed>] do_last+0xc1d/0x13a0
kernel: [  190.332880]        [<ffffffff81245840>] path_openat+0xd0/0x6c0
kernel: [  190.332883]        [<ffffffff812466ad>] do_filp_open+0x4d/0xb0
kernel: [  190.332886]        [<ffffffff81233387>] do_sys_open+0x137/0x240
kernel: [  190.332889]        [<ffffffff812334ae>] SyS_open+0x1e/0x20
kernel: [  190.332892]        [<ffffffff817ee1e9>] system_call_fastpath+0x16/0x1b
kernel: [  190.332895] 
kernel: [  190.332895] other info that might help us debug this:
kernel: [  190.332895] 
kernel: [  190.332898]  Possible unsafe locking scenario:
kernel: [  190.332898] 
kernel: [  190.332899]        CPU0                    CPU1
kernel: [  190.332901]        ----                    ----
kernel: [  190.332902]   lock(&(&priv->sensor.alarm_program_lock)->rlock);
kernel: [  190.332905]                                lock(&(&priv->lock)->rlock#2);
kernel: [  190.332908]                                lock(&(&priv->sensor.alarm_program_lock)->rlock);
kernel: [  190.332910]   lock(&(&priv->lock)->rlock#2);
kernel: [  190.332913] 
kernel: [  190.332913]  *** DEADLOCK ***
kernel: [  190.332913] 
kernel: [  190.332916] 3 locks held by X/2659:
kernel: [  190.332918]  #0:  (drm_global_mutex){+.+.+.}, at: [<ffffffffa00679a1>] drm_stub_open+0x31/0x100 [drm]
kernel: [  190.332929]  #1:  (DEVICE){+.+.+.}, at: [<ffffffffa01ff161>] nouveau_object_inc+0x81/0x180 [nouveau]
kernel: [  190.332944]  #2:  (&(&priv->sensor.alarm_program_lock)->rlock){-.....}, at: [<ffffffffa023ec94>] alarm_timer_callback+0x54/0xe0 [nouveau]
kernel: [  190.332962] 
kernel: [  190.332962] stack backtrace:
kernel: [  190.332965] CPU: 5 PID: 2659 Comm: X Not tainted 3.15.3-200.fc20.x86_64+debug #1
kernel: [  190.332967] Hardware name: ASUSTeK COMPUTER INC. K45VM/K45VM, BIOS 224 10/17/2012
kernel: [  190.332969]  0000000000000000 0000000009aa1b88 ffff8800c72c3508 ffffffff817da2c7
kernel: [  190.332974]  ffffffff8252bdb0 ffff8800c72c3548 ffffffff817d55dd ffff8800c72c35a0
kernel: [  190.332978]  ffff8800c6bcd548 ffff8800c6bcd548 0000000000000003 ffff8800c6bccbe0
kernel: [  190.332982] Call Trace:
kernel: [  190.332986]  [<ffffffff817da2c7>] dump_stack+0x4d/0x66
kernel: [  190.332990]  [<ffffffff817d55dd>] print_circular_bug+0x201/0x20f
kernel: [  190.332994]  [<ffffffff810fc4ef>] __lock_acquire+0x1b7f/0x1c90
kernel: [  190.332998]  [<ffffffff81023505>] ? native_sched_clock+0x35/0xa0
kernel: [  190.333002]  [<ffffffff810fcdd9>] lock_acquire+0x99/0x1d0
kernel: [  190.333017]  [<ffffffffa023d1c8>] ? nouveau_therm_update+0x48/0x310 [nouveau]
kernel: [  190.333021]  [<ffffffff817e3e86>] _raw_spin_lock_irqsave+0x56/0x90
kernel: [  190.333037]  [<ffffffffa023d1c8>] ? nouveau_therm_update+0x48/0x310 [nouveau]
kernel: [  190.333051]  [<ffffffffa023d1c8>] nouveau_therm_update+0x48/0x310 [nouveau]
kernel: [  190.333069]  [<ffffffffa023d4aa>] nouveau_therm_alarm+0x1a/0x20 [nouveau]
kernel: [  190.333085]  [<ffffffffa0240da3>] nv04_timer_alarm_trigger+0x133/0x190 [nouveau]
kernel: [  190.333101]  [<ffffffffa0240e60>] nv04_timer_alarm+0x60/0xb0 [nouveau]
kernel: [  190.333117]  [<ffffffffa023ed1d>] alarm_timer_callback+0xdd/0xe0 [nouveau]
kernel: [  190.333131]  [<ffffffffa023ed9d>] nouveau_therm_program_alarms_polling+0x7d/0x90 [nouveau]
kernel: [  190.333147]  [<ffffffffa023edc2>] nouveau_therm_sensor_init+0x12/0x20 [nouveau]
kernel: [  190.333162]  [<ffffffffa023d762>] _nouveau_therm_init+0x52/0x60 [nouveau]
kernel: [  190.333177]  [<ffffffffa02400fb>] nva3_therm_init+0x1b/0x140 [nouveau]
kernel: [  190.333191]  [<ffffffffa01ff190>] nouveau_object_inc+0xb0/0x180 [nouveau]
kernel: [  190.333208]  [<ffffffffa02479e5>] nouveau_device_init+0x25/0xa0 [nouveau]
kernel: [  190.333222]  [<ffffffffa01ff190>] nouveau_object_inc+0xb0/0x180 [nouveau]
kernel: [  190.333234]  [<ffffffffa01ff16a>] nouveau_object_inc+0x8a/0x180 [nouveau]
kernel: [  190.333247]  [<ffffffffa01fd9ea>] nouveau_handle_init+0x6a/0x1f0 [nouveau]
kernel: [  190.333259]  [<ffffffffa01fda79>] nouveau_handle_init+0xf9/0x1f0 [nouveau]
kernel: [  190.333271]  [<ffffffffa01fc17e>] nouveau_client_init+0x2e/0x60 [nouveau]
kernel: [  190.333292]  [<ffffffffa0283615>] nouveau_do_resume+0x45/0x160 [nouveau]
kernel: [  190.333309]  [<ffffffffa0284c91>] nouveau_pmops_runtime_resume+0x81/0xf0 [nouveau]
kernel: [  190.333312]  [<ffffffff8140d80b>] pci_pm_runtime_resume+0x7b/0xc0
kernel: [  190.333314]  [<ffffffff8140d790>] ? pci_restore_standard_config+0x40/0x40
kernel: [  190.333317]  [<ffffffff81502e12>] __rpm_callback+0x32/0x70
kernel: [  190.333319]  [<ffffffff81502e74>] rpm_callback+0x24/0x80
kernel: [  190.333320]  [<ffffffff815037d1>] rpm_resume+0x551/0x7a0
kernel: [  190.333323]  [<ffffffff81504cff>] __pm_runtime_resume+0x4f/0x90
kernel: [  190.333338]  [<ffffffffa0283bcb>] nouveau_drm_open+0x3b/0x1c0 [nouveau]
kernel: [  190.333341]  [<ffffffff810f682d>] ? debug_mutex_init+0x2d/0x40
kernel: [  190.333345]  [<ffffffff810f5b16>] ? __mutex_init+0x56/0x60
kernel: [  190.333352]  [<ffffffffa0067642>] drm_open+0x1c2/0x4f0 [drm]
kernel: 
kernel: [  190.333359]  [<ffffffffa0067a17>] drm_stub_open+0xa7/0x100 [drm]
kernel: ======================================================
kernel: [  190.333362]  [<ffffffff81238e5e>] chrdev_open+0xae/0x1d0
kernel: [  190.333364]  [<ffffffff81231597>] do_dentry_open+0x217/0x2f0
kernel: [  190.333367]  [<ffffffff81351ffc>] ? security_inode_permission+0x1c/0x30
kernel: [  190.333369]  [<ffffffff81238db0>] ? cdev_put+0x30/0x30
kernel: [  190.333371]  [<ffffffff81231780>] finish_open+0x40/0x50
kernel: [  190.333374]  [<ffffffff81244fed>] do_last+0xc1d/0x13a0
kernel: [  190.333376]  [<ffffffff812407e8>] ? inode_permission+0x18/0x50
kernel: [  190.333378]  [<ffffffff81241071>] ? link_path_walk+0x81/0x8c0
kernel: [  190.333381]  [<ffffffff81245840>] path_openat+0xd0/0x6c0
kernel: [  190.333383]  [<ffffffff81023505>] ? native_sched_clock+0x35/0xa0
kernel: [  190.333385]  [<ffffffff81023579>] ? sched_clock+0x9/0x10
kernel: [  190.333387]  [<ffffffff812466ad>] do_filp_open+0x4d/0xb0
kernel: [  190.333389]  [<ffffffff817e35a7>] ? _raw_spin_unlock+0x27/0x40
kernel: [  190.333392]  [<ffffffff812564ff>] ? __alloc_fd+0xaf/0x1b0
kernel: [  190.333394]  [<ffffffff81233387>] do_sys_open+0x137/0x240
kernel: [ INFO: possible circular locking dependency detected ]
kernel: [  190.333396]  [<ffffffff812334ae>] SyS_open+0x1e/0x20
kernel: [  190.333398]  [<ffffffff817ee1e9>] system_call_fastpath+0x16/0x1b
kernel: 3.15.3-200.fc20.x86_64+debug #1 Not tainted
kernel: -------------------------------------------------------
kernel: X/2659 is trying to acquire lock:
kernel: (&(&priv->lock)->rlock#2){-.....}, at: [<ffffffffa023d1c8>] nouveau_therm_update+0x48/0x310 [nouveau]
kernel: 
but task is already holding lock:
kernel: (&(&priv->sensor.alarm_program_lock)->rlock){-.....}, at: [<ffffffffa023ec94>] alarm_timer_callback+0x54/0xe0 [nouveau]
kernel: 
which lock already depends on the new lock.

kernel: 
the existing dependency chain (in reverse order) is:
kernel: 
-> #1 (&(&priv->sensor.alarm_program_lock)->rlock){-.....}:
kernel:       [<ffffffff810fcdd9>] lock_acquire+0x99/0x1d0
kernel:       [<ffffffff817e3e86>] _raw_spin_lock_irqsave+0x56/0x90
kernel:       [<ffffffffa023ec94>] alarm_timer_callback+0x54/0xe0 [nouveau]
kernel:       [<ffffffffa0240da3>] nv04_timer_alarm_trigger+0x133/0x190 [nouveau]
kernel:       [<ffffffffa0240e60>] nv04_timer_alarm+0x60/0xb0 [nouveau]
kernel:       [<ffffffffa023d3ed>] nouveau_therm_update+0x26d/0x310 [nouveau]
kernel:       [<ffffffffa023d4aa>] nouveau_therm_alarm+0x1a/0x20 [nouveau]
kernel:       [<ffffffffa0240da3>] nv04_timer_alarm_trigger+0x133/0x190 [nouveau]
kernel:       [<ffffffffa0240f1b>] nv04_timer_intr+0x6b/0x90 [nouveau]
kernel:       [<ffffffffa023a801>] nouveau_mc_intr+0x141/0x1a0 [nouveau]
kernel:       [<ffffffff8110f9ce>] handle_irq_event_percpu+0x3e/0x340
kernel:       [<ffffffff8110fd0d>] handle_irq_event+0x3d/0x60
kernel:       [<ffffffff81112b87>] handle_edge_irq+0x77/0x130
kernel:       [<ffffffff8101cd0f>] handle_irq+0xbf/0x150
kernel:       [<ffffffff817f04cf>] do_IRQ+0x4f/0xf0
kernel:       [<ffffffff817e4372>] ret_from_intr+0x0/0x1a
kernel:       [<ffffffff8162e497>] cpuidle_enter+0x17/0x20
kernel:       [<ffffffff810eeefe>] cpu_startup_entry+0x3ee/0x770
kernel:       [<ffffffff817c909a>] rest_init+0x13a/0x140
kernel:       [<ffffffff81f1c006>] start_kernel+0x48d/0x4ae
kernel:       [<ffffffff81f1b5ee>] x86_64_start_reservations+0x2a/0x2c
kernel:       [<ffffffff81f1b73d>] x86_64_start_kernel+0x14d/0x170
kernel: 
-> #0 (&(&priv->lock)->rlock#2){-.....}:
kernel:       [<ffffffff810fc4ef>] __lock_acquire+0x1b7f/0x1c90
kernel:       [<ffffffff810fcdd9>] lock_acquire+0x99/0x1d0
kernel:       [<ffffffff817e3e86>] _raw_spin_lock_irqsave+0x56/0x90
kernel:       [<ffffffffa023d1c8>] nouveau_therm_update+0x48/0x310 [nouveau]
kernel:       [<ffffffffa023d4aa>] nouveau_therm_alarm+0x1a/0x20 [nouveau]
kernel:       [<ffffffffa0240da3>] nv04_timer_alarm_trigger+0x133/0x190 [nouveau]
kernel:       [<ffffffffa0240e60>] nv04_timer_alarm+0x60/0xb0 [nouveau]
kernel:       [<ffffffffa023ed1d>] alarm_timer_callback+0xdd/0xe0 [nouveau]
kernel:       [<ffffffffa023ed9d>] nouveau_therm_program_alarms_polling+0x7d/0x90 [nouveau]
kernel:       [<ffffffffa023edc2>] nouveau_therm_sensor_init+0x12/0x20 [nouveau]
kernel:       [<ffffffffa023d762>] _nouveau_therm_init+0x52/0x60 [nouveau]
kernel:       [<ffffffffa02400fb>] nva3_therm_init+0x1b/0x140 [nouveau]
kernel:       [<ffffffffa01ff190>] nouveau_object_inc+0xb0/0x180 [nouveau]
kernel:       [<ffffffffa02479e5>] nouveau_device_init+0x25/0xa0 [nouveau]
kernel:       [<ffffffffa01ff190>] nouveau_object_inc+0xb0/0x180 [nouveau]
kernel:       [<ffffffffa01ff16a>] nouveau_object_inc+0x8a/0x180 [nouveau]
kernel:       [<ffffffffa01fd9ea>] nouveau_handle_init+0x6a/0x1f0 [nouveau]
kernel:       [<ffffffffa01fda79>] nouveau_handle_init+0xf9/0x1f0 [nouveau]
kernel:       [<ffffffffa01fc17e>] nouveau_client_init+0x2e/0x60 [nouveau]
kernel:       [<ffffffffa0283615>] nouveau_do_resume+0x45/0x160 [nouveau]
kernel:       [<ffffffffa0284c91>] nouveau_pmops_runtime_resume+0x81/0xf0 [nouveau]
kernel:       [<ffffffff8140d80b>] pci_pm_runtime_resume+0x7b/0xc0
kernel:       [<ffffffff81502e12>] __rpm_callback+0x32/0x70
kernel:       [<ffffffff81502e74>] rpm_callback+0x24/0x80
kernel:       [<ffffffff815037d1>] rpm_resume+0x551/0x7a0
kernel:       [<ffffffff81504cff>] __pm_runtime_resume+0x4f/0x90
kernel:       [<ffffffffa0283bcb>] nouveau_drm_open+0x3b/0x1c0 [nouveau]
kernel:       [<ffffffffa0067642>] drm_open+0x1c2/0x4f0 [drm]
kernel:       [<ffffffffa0067a17>] drm_stub_open+0xa7/0x100 [drm]
kernel:       [<ffffffff81238e5e>] chrdev_open+0xae/0x1d0
kernel:       [<ffffffff81231597>] do_dentry_open+0x217/0x2f0
kernel:       [<ffffffff81231780>] finish_open+0x40/0x50
kernel:       [<ffffffff81244fed>] do_last+0xc1d/0x13a0
kernel:       [<ffffffff81245840>] path_openat+0xd0/0x6c0
kernel:       [<ffffffff812466ad>] do_filp_open+0x4d/0xb0
kernel:       [<ffffffff81233387>] do_sys_open+0x137/0x240
kernel:       [<ffffffff812334ae>] SyS_open+0x1e/0x20
kernel:       [<ffffffff817ee1e9>] system_call_fastpath+0x16/0x1b
kernel: 
other info that might help us debug this:

kernel: Possible unsafe locking scenario:

kernel:       CPU0                    CPU1
kernel:       ----                    ----
kernel:  lock(&(&priv->sensor.alarm_program_lock)->rlock);
kernel:                               lock(&(&priv->lock)->rlock#2);
kernel:                               lock(&(&priv->sensor.alarm_program_lock)->rlock);
kernel:  lock(&(&priv->lock)->rlock#2);
kernel: 
 *** DEADLOCK ***

kernel: 3 locks held by X/2659:
kernel: #0:  (drm_global_mutex){+.+.+.}, at: [<ffffffffa00679a1>] drm_stub_open+0x31/0x100 [drm]
kernel: #1:  (DEVICE){+.+.+.}, at: [<ffffffffa01ff161>] nouveau_object_inc+0x81/0x180 [nouveau]


 kernel: Hardware name: ASUSTeK COMPUTER INC. K45VM/K45VM, BIOS 224 10/17/2012
 kernel: 0000000000000000 0000000009aa1b88 ffff8800c72c3508 ffffffff817da2c7
 kernel: ffffffff8252bdb0 ffff8800c72c3548 ffffffff817d55dd ffff8800c72c35a0
 kernel: ffff8800c6bcd548 ffff8800c6bcd548 0000000000000003 ffff8800c6bccbe0
 kernel: Call Trace:
 kernel: [<ffffffff817da2c7>] dump_stack+0x4d/0x66
 kernel: [<ffffffff817d55dd>] print_circular_bug+0x201/0x20f
 kernel: [<ffffffff810fc4ef>] __lock_acquire+0x1b7f/0x1c90
 kernel: [<ffffffff81023505>] ? native_sched_clock+0x35/0xa0
 kernel: [<ffffffff810fcdd9>] lock_acquire+0x99/0x1d0
 kernel: [<ffffffffa023d1c8>] ? nouveau_therm_update+0x48/0x310 [nouveau]
 kernel: [<ffffffff817e3e86>] _raw_spin_lock_irqsave+0x56/0x90
 kernel: [<ffffffffa023d1c8>] ? nouveau_therm_update+0x48/0x310 [nouveau]
 kernel: [<ffffffffa023d1c8>] nouveau_therm_update+0x48/0x310 [nouveau]
 kernel: [<ffffffffa023d4aa>] nouveau_therm_alarm+0x1a/0x20 [nouveau]
 kernel: [<ffffffffa0240da3>] nv04_timer_alarm_trigger+0x133/0x190 [nouveau]
 kernel: [<ffffffffa0240e60>] nv04_timer_alarm+0x60/0xb0 [nouveau]
 kernel: [<ffffffffa023ed1d>] alarm_timer_callback+0xdd/0xe0 [nouveau]
 kernel: [<ffffffffa023ed9d>] nouveau_therm_program_alarms_polling+0x7d/0x90 [nouveau]
 kernel: [  190.708569] r8169 0000:02:00.0 p4p1: link down
 kernel: [  190.708618] IPv6: ADDRCONF(NETDEV_UP): p4p1: link is not ready
 kernel: [  190.725110] IPv6: ADDRCONF(NETDEV_UP): wlp3s0: link is not ready
 kernel: [<ffffffffa023edc2>] nouveau_therm_sensor_init+0x12/0x20 [nouveau]
 kernel: [<ffffffffa023d762>] _nouveau_therm_init+0x52/0x60 [nouveau]
 kernel: [<ffffffffa02400fb>] nva3_therm_init+0x1b/0x140 [nouveau]
 kernel: [<ffffffffa01ff190>] nouveau_object_inc+0xb0/0x180 [nouveau]
 kernel: [<ffffffffa02479e5>] nouveau_device_init+0x25/0xa0 [nouveau]
 kernel: [<ffffffffa01ff190>] nouveau_object_inc+0xb0/0x180 [nouveau]
 kernel: [<ffffffffa01ff16a>] nouveau_object_inc+0x8a/0x180 [nouveau]
 kernel: [<ffffffffa01fd9ea>] nouveau_handle_init+0x6a/0x1f0 [nouveau]
 kernel: [<ffffffffa01fda79>] nouveau_handle_init+0xf9/0x1f0 [nouveau]
 kernel: [<ffffffffa01fc17e>] nouveau_client_init+0x2e/0x60 [nouveau]
 kernel: [<ffffffffa0283615>] nouveau_do_resume+0x45/0x160 [nouveau]
 kernel: [<ffffffffa0284c91>] nouveau_pmops_runtime_resume+0x81/0xf0 [nouveau]
 kernel: [<ffffffff8140d80b>] pci_pm_runtime_resume+0x7b/0xc0
 kernel: [<ffffffff8140d790>] ? pci_restore_standard_config+0x40/0x40
 kernel: [<ffffffff81502e12>] __rpm_callback+0x32/0x70
 kernel: [<ffffffff81502e74>] rpm_callback+0x24/0x80
 kernel: [<ffffffff815037d1>] rpm_resume+0x551/0x7a0
 kernel: [<ffffffff81504cff>] __pm_runtime_resume+0x4f/0x90
 kernel: [<ffffffffa0283bcb>] nouveau_drm_open+0x3b/0x1c0 [nouveau]
 kernel: [<ffffffff810f682d>] ? debug_mutex_init+0x2d/0x40
 kernel: [<ffffffff810f5b16>] ? __mutex_init+0x56/0x60
 kernel: [<ffffffffa0067642>] drm_open+0x1c2/0x4f0 [drm]
 kernel: [<ffffffffa0067a17>] drm_stub_open+0xa7/0x100 [drm]
 kernel: [<ffffffff81238e5e>] chrdev_open+0xae/0x1d0
 kernel: [<ffffffff81231597>] do_dentry_open+0x217/0x2f0
 kernel: [<ffffffff81351ffc>] ? security_inode_permission+0x1c/0x30
 kernel: [<ffffffff81238db0>] ? cdev_put+0x30/0x30
 kernel: [<ffffffff81231780>] finish_open+0x40/0x50
 kernel: [<ffffffff81244fed>] do_last+0xc1d/0x13a0
 kernel: [<ffffffff812407e8>] ? inode_permission+0x18/0x50
 kernel: [<ffffffff81241071>] ? link_path_walk+0x81/0x8c0
 kernel: [<ffffffff81245840>] path_openat+0xd0/0x6c0
 kernel: [<ffffffff81023505>] ? native_sched_clock+0x35/0xa0
 kernel: [<ffffffff81023579>] ? sched_clock+0x9/0x10
 kernel: [<ffffffff812466ad>] do_filp_open+0x4d/0xb0
 kernel: [<ffffffff817e35a7>] ? _raw_spin_unlock+0x27/0x40
 kernel: [<ffffffff812564ff>] ? __alloc_fd+0xaf/0x1b0
 kernel: [<ffffffff81233387>] do_sys_open+0x137/0x240
 kernel: [<ffffffff812334ae>] SyS_open+0x1e/0x20
 kernel: [<ffffffff817ee1e9>] system_call_fastpath+0x16/0x1b

Comment 2 Fedora End Of Life 2015-05-29 12:20:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:32:37 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.